const { resolve, getComponentEntries } = require('./utils') // 因为文件会被webpack读取，只能引入由module.export={}导出的数据

//  获取基于当前路径的目标文件
const buildConfig = {
  //  输出文件目录
  outputDir: resolve('lib'),
  //  webpack配置
  configureWebpack: {
    //  入口文件
    entry: getComponentEntries('packages'),
    //  输出配置
    output: {
      //  文件名称
      filename: '[name]/index.js',
      //  构建依赖类型
      libraryTarget: 'commonjs2',
      //  库中被导出的项
      libraryExport: 'default',
      //  引用时的依赖名
      library: 'x7sy-ui'
    }
  },
  css: {
    sourceMap: false,
    extract: {
      filename: '[name]/index.css'
    }
  },
  chainWebpack: config => {
    // 打包前删除不必要的插件
    config.optimization.delete('splitChunks')
    config.plugins.delete('copy')
    config.plugins.delete('preload')
    config.plugins.delete('prefetch')
    config.plugins.delete('html')
    config.plugins.delete('hmr')
    config.entryPoints.delete('app')
  }
}
module.exports = buildConfig
